## LassoWsAddrAttributedURI LassoWsAddrAttributedURI |

## Functions

LassoWsAddrAttributedURI * | lasso_wsa_attributed_uri_new ()
LassoWsAddrAttributedURI * | lasso_wsa_attributed_uri_new_with_string ()

## Types and Values

struct | LassoWsAddrAttributedURI

## Description

## Functions

### lasso_wsa_attributed_uri_new ()

    LassoWsAddrAttributedURI *
    lasso_wsa_attributed_uri_new (void);

Creates a new LassoWsAddrAttributedURI object.

#### Returns

a newly created LassoWsAddrAttributedURI object

### lasso_wsa_attributed_uri_new_with_string ()

    LassoWsAddrAttributedURI *
    lasso_wsa_attributed_uri_new_with_string
                                   (const char *content);

Creates a new LassoWsAddrAttributedURI object and initializes it with `content` as content.

#### Parameters

content | a content string |

#### Returns

a newly created LassoWsAddrAttributedURI object

## Types and Values

### struct LassoWsAddrAttributedURI

    struct LassoWsAddrAttributedURI {
    	LassoNode parent;

    	/* elements */
    	char *content;
    	/* attributes */
    	GHashTable *attributes;
    };